Ticket #121 (closed enhancement: worksforme)

Opened 5 years ago

Last modified 5 years ago

composite datapoints in graphs

Reported by: jesus Assigned to: umar
Priority: major Milestone: Wangle
Component: webconsole Severity: serious
Keywords: Cc:

Description

Add the ability to make a "virtual data set" in a graph. This data set is defined by the MATH only (like guides), but can reference other datasets in the graph (both visible and hidden).

Change History

07/02/09 20:53:46 changed by umar

(In [776]) adding some ui code for composite datasets, we can add a composite dataset and name it, add expressions, but they are ignored for now. will need to do the actual function evaluation in ReconGraph?. refs #121

07/07/09 21:59:32 changed by umar

(In [779]) adding composite dataset functionality, probably needs more testing, and the rpn evaluator needs to be fixed up to handle bad syntax better refs #121

07/07/09 22:06:43 changed by umar

  • status changed from new to assigned.
  • severity set to critical.

user can add a composite dataset by clicking "Add Composite" in the graph edit view.

after that, you can refer to numeric datasets to the composite dataset with "[i]" where i is the zero-indexed position of the dataset in the graph's list of datasets, this is cleaner than allowing say the entire metric_name or uuid to refer to the dataset.

users can also refer to a numeric dataset by dragging the title of the dataset into the Function text area of a composite dataset.

there are still serious issues with bad RPN syntax in the Function text area.

07/07/09 22:07:09 changed by umar

  • severity changed from critical to serious.

07/08/09 17:06:01 changed by umar

(In [780]) fixed styling issues with guides, text, and composites in graph edit view, and added verification of existence of datasets reffered to in composite expressions, refs #121

07/22/09 17:35:05 changed by jesus

  • status changed from assigned to closed.
  • resolution set to worksforme.